Browse Source

back to upstream

master
Alf Gaida 4 years ago
parent
commit
4f6716c42a
7 changed files with 70 additions and 79 deletions
  1. 25
    30
      debian/changelog
  2. 6
    7
      debian/control
  3. 8
    11
      debian/copyright
  4. 28
    25
      debian/postinst
  5. 0
    2
      debian/rules
  6. 0
    3
      debian/source/options
  7. 3
    1
      debian/udev-config-siduction.udev

+ 25
- 30
debian/changelog View File

@@ -1,53 +1,48 @@
udev-config-siduction (2014.01.08) unstable; urgency=medium
udev-config-aptosid (0.11.12) UNRELEASED; urgency=medium

* remove xbsc-original-maintainer
* new copyright format
* new standards
* NOT RELEASED YET

-- Alf Gaida <agaida@siduction.org> Wed, 08 Jan 2014 19:17:16 +0100
-- Stefan Lippers-Hollmann <s.l-h@gmx.de> Sun, 04 Jan 2015 01:45:16 +0100

udev-config-siduction (0.12.2) unstable; urgency=low
udev-config-aptosid (0.11.11) unstable; urgency=medium

* debian/source.lntian-overrides added to get rid of XSBC-Original-Maintainer
warnings
* rebuild fixes #633
* drop versioned dependency on udev, it's met in stable.

-- Alf Gaida <agaida@siduction.org> Wed, 21 Mar 2012 23:08:57 +0100
-- Stefan Lippers-Hollmann <s.l-h@gmx.de> Sun, 04 Jan 2015 01:44:52 +0100

udev-config-siduction (0.12.1) unstable; urgency=low
udev-config-aptosid (0.11.10) unstable; urgency=medium

* added myself to uploaders (was done former)
* debian/control uploder-> uploaders
* bump standards to 3.9.3
* debhelper (>= 9)
* bump standards version to 3.9.6, no changes necessary.
* convert to machine readable copyright.

-- Alf Gaida <agaida@siduction.org> Wed, 21 Mar 2012 10:54:53 +0100
-- Stefan Lippers-Hollmann <s.l-h@gmx.de> Sun, 04 Jan 2015 00:52:35 +0100

udev-config-siduction (0.12.0) unstable; urgency=low
udev-config-aptosid (0.11.9) unstable; urgency=low

* bumped version to 0.12.0
* bump standards version to 3.9.5, no changes necessary.
* debian/control: switch Vcs tags to github.

-- Ferdinand Thommes <devil@siduction.org> Fri, 21 Oct 2011 20:57:24 +0200
-- Stefan Lippers-Hollmann <s.l-h@gmx.de> Mon, 14 Apr 2014 00:20:41 +0200

udev-config-siduction (0.11.6+nmu2) UNRELEASED; urgency=low
udev-config-aptosid (0.11.8) unstable; urgency=low

* Non-maintainer upload.
* Fixes #259 - fix udev-config-siduction ./debian
* bump standards version to 3.9.4, no changes necessary.
* update FSF postal address to be URLs.

-- Alf Gaida <info@g-com.eu> Fri, 21 Oct 2011 20:57:02 +0200
-- Stefan Lippers-Hollmann <s.l-h@gmx.de> Sat, 12 Jan 2013 03:38:13 +0100

udev-config-siduction (0.11.6+nmu1) UNRELEASED; urgency=low
udev-config-aptosid (0.11.7) unstable; urgency=low

* Non-maintainer upload.
* rename to udev-config-siduction
* bump standards version to 3.9.3, no changes necessary.

-- Ferdinand Thommes <devil@siduction.org> Sat, 15 Oct 2011 12:42:12 +0200
-- Stefan Lippers-Hollmann <s.l-h@gmx.de> Thu, 23 Feb 2012 16:55:31 +0100

udev-config-aptosid (0.11.6) UNRELEASED; urgency=low
udev-config-aptosid (0.11.6) unstable; urgency=low

* NOT RELEASED YET
* switch to compat level 9.
* tighten udev rule for IR remotes.

-- Stefan Lippers-Hollmann <s.l-h@gmx.de> Fri, 29 Apr 2011 05:05:50 +0200
-- Stefan Lippers-Hollmann <s.l-h@gmx.de> Mon, 16 Jan 2012 03:33:22 +0100

udev-config-aptosid (0.11.5) unstable; urgency=low


+ 6
- 7
debian/control View File

@@ -1,22 +1,21 @@
Source: udev-config-siduction
Maintainer: Stefan Lippers-Hollmann <s.l-h@gmx.de>
Uploaders: Alf Gaida <agaida@siduction.org>
Section: admin
Priority: extra
Maintainer: Ferdinand Thommes <devil@siduction.org>
Uploaders: Alf Gaida <agaida@siduction.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Vcs-Git: git://git.siduction.org/packages/siduction-repository/udev-config-siduction.git
Standards-Version: 3.9.8
Vcs-Browser: http://git.siduction.org/?p=packages/siduction-repository/udev-config-siduction.git
Homepage: http://svn.berlios.de/wsvn/fullstory/udev-config-aptosid/
Vcs-Git: git://git.siduction.org/packages/siduction-repository/udev-config-siduction.git

Package: udev-config-siduction
Architecture: all
Depends:
${misc:Depends},
udev (>= 0.091-1)
udev
Breaks:
xserver-xorg-core (<< 2:1.7.6.901-2)
Description: custom udev configurations for udev
Description: custom udev configurations for siduction
Configure PCI IDs and udev events needed by siduction.
.
This also provides xorg.conf.d snippets to enable advanced touchpad features

+ 8
- 11
debian/copyright View File

@@ -1,23 +1,20 @@
Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: udev-config-siduction
Source: <http://developer.berlios.de/projects/fullstory/>
Source: git://github.com/fullstory/udev-config-aptosid.git

Files: *
Copyright: 2011 Ferdinand Thommes <devil@siduction.org>
2005-2010 Stefan Lippers-Hollmann <s.l-h@gmx.de>
License: GPL-2.0+
Copyright: 2005-2015, Stefan Lippers-Hollmann <s.l-h@gmx.de>
License: GPL-2.0

Files: debian/*
Copyright: 2012-2014 Alf Gaida <agaida@siduction.org>
2011 Ferdinand Thommes <devil@siduction.org>
2005-2010 Stefan Lippers-Hollmann <s.l-h@gmx.de>
License: GPL-2.0+
Copyright: 2012-2016 Alf Gaida <agaida@siduction.org>
2005-2016 Stefan Lippers-Hollmann <s.l-h@gmx.de>
License: GPL-2.0

License: GPL-2.0+
License: GPL-2.0
This package is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
the Free Software Foundation; version 2 of the License.
.
This package is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of

+ 28
- 25
debian/postinst View File

@@ -1,37 +1,40 @@
#! /bin/sh

set -e

case "$1" in
configure)
# clean up eventually left over /usr/sbin/policy-rc.d, which
# might not have been cleaned up correctly by
# fll-installer << 0.5.12.
if [ -f /usr/sbin/policy-rc.d ] && \
[ -z "$(dpkg-divert --list /usr/sbin/policy-rc.d)" ] && \
[ "x$(md5sum -b /usr/sbin/policy-rc.d | awk '{print $1}')" = "x2f31905d39c6a4ed28a9217decbb7208" ]; then
rm -f /usr/sbin/policy-rc.d
fi
configure)
# clean up eventually left over /usr/sbin/policy-rc.d, which
# might not have been cleaned up correctly by
# fll-installer << 0.5.12.
if [ -f /usr/sbin/policy-rc.d ] && \
[ -z "$(dpkg-divert --list /usr/sbin/policy-rc.d)" ] && \
[ "x$(md5sum -b /usr/sbin/policy-rc.d | awk '{print $1}')" = "x2f31905d39c6a4ed28a9217decbb7208" ]; then
rm -f /usr/sbin/policy-rc.d
fi

if [ -r /etc/default/rcS ]; then
. /etc/default/rcS
if [ -n "$CONCURRENCY" ] && \
[ ! "$CONCURRENCY" = "makefile" ] && \
[ ! "$CONCURRENCY" = "none" ]; then
sed -i "/^CONCURRENCY\=/d" /etc/default/rcS
fi
fi
;;
if [ -r /etc/default/rcS ]; then
. /etc/default/rcS
if [ -n "$CONCURRENCY" ] && \
[ ! "$CONCURRENCY" = "makefile" ] && \
[ ! "$CONCURRENCY" = "none" ]; then
sed -i "/^CONCURRENCY\=/d" /etc/default/rcS
fi
fi
;;

abort-upgrade|abort-remove|abort-deconfigure)
;;
abort-upgrade|abort-remove|abort-deconfigure)
:
;;

*)
echo "postinst called with unknown argument \`$1'" >&2
exit 1
;;
*)
echo "postinst called with unknown argument \`$1'" >&2
exit 1
;;
esac

# dh_installdeb will replace this with shell code automatically
# generated by other debhelper scripts.

#DEBHELPER#

exit 0

+ 0
- 2
debian/rules View File

@@ -1,6 +1,4 @@
#!/usr/bin/make -f

DH_VERBOSE=1

%:
dh $@

+ 0
- 3
debian/source/options View File

@@ -1,3 +0,0 @@
# Use bzip2 instead of gzip
compression = "bzip2"
compression-level = 9

+ 3
- 1
debian/udev-config-siduction.udev View File

@@ -1 +1,3 @@
KERNEL=="event*",ATTRS{name}=="*dvb*|*DVB*|* IR *",SYMLINK="input/ir"
SUBSYSTEM=="input",ATTRS{idVendor}=="05a4",ATTRS{idProduct}=="9881",IMPORT{program}="input_id %p"
SUBSYSTEM=="input",ATTRS{idVendor}=="05a4",ATTRS{idProduct}=="9881",ENV{ID_INPUT_KEYBOARD}=="1",SYMLINK="input/irremote0"
SUBSYSTEM=="input",ATTRS{idVendor}=="05a4",ATTRS{idProduct}=="9881",ENV{ID_INPUT_MOUSE}=="1",SYMLINK="input/irremote1"

Loading…
Cancel
Save